Bug 1649059 (golang-contrib-opencensus-exporter) - Review Request: golang-contrib-opencensus-exporter-ocagent - OpenCensus Go exporters for OpenCensus Agent
Summary: Review Request: golang-contrib-opencensus-exporter-ocagent - OpenCensus Go ex...
Keywords:
Status: CLOSED ERRATA
Alias: golang-contrib-opencensus-exporter
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1687159 (view as bug list)
Depends On: 1649058
Blocks: 1687093
TreeView+ depends on / blocked
 
Reported: 2018-11-12 19:59 UTC by Robert-André Mauchin
Modified: 2019-04-27 21:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-25 01:33:19 UTC
sanjay.ankur: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 2018-11-12 19:59:47 UTC
Spec URL: https://eclipseo.fedorapeople.org/golang-contrib-opencensus-exporter.spec
SRPM URL: https://eclipseo.fedorapeople.org/golang-contrib-opencensus-exporter-0.3.0-1.fc30.src.rpm

Description:
This repository contains the Go implementation of the OpenCensus Agent 
(OC-Agent) Exporter. OC-Agent is a deamon process running in a VM that can 
retrieve spans/stats/metrics from OpenCensus Library, export them to other 
backends and possibly push configurations back to Library. See more details 
on OC-Agent Readme.

Note: This is an experimental repository and is likely to get 
backwards-incompatible changes. Ultimately we may want to move the OC-Agent Go 
Exporter to OpenCensus Go core library.

Fedora Account System Username: eclipseo

Comment 1 Ankur Sinha (FranciscoD) 2019-02-03 17:39:46 UTC
Sorry for the delay. Looking at this now. I expect the name of the package in the bug needs to be changed to match the spec file to begin with?

Comment 2 Ankur Sinha (FranciscoD) 2019-02-03 18:56:25 UTC
Looks good. Only, the spec (and the srpm) do not match the package name and
this needs to be corrected.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "*No copyright* Apache License
     (v2.0)", "Unknown or generated", "Apache License (v2.0)". 5 files have
     unknown license. Detailed output of licensecheck in /home/asinha/dump
     /fedora-reviews/1649059-golang-contrib-opencensus-
     exporter/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
^ Please check this.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Bad spec filename: /home/asinha/dump/fedora-reviews/1649059
     -golang-contrib-opencensus-exporter/srpm-unpacked/golang-github-
     census-ecosystem-opencensus-go-exporter-ocagent.spec
     See: (this test has no URL)
^ spec file should match the bug, and the srpm. Please double check this.

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: golang-contrib-opencensus-exporter-devel-0.3.0-1.fc30.noarch.rpm
          golang-contrib-opencensus-exporter-0.3.0-1.fc30.src.rpm
golang-contrib-opencensus-exporter-devel.noarch: W: spelling-error %description -l en_US deamon -> daemon, demon, deacon
golang-contrib-opencensus-exporter-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/contrib.go.opencensus.io/exporter/.goipath
^ This is required, iirc?

golang-contrib-opencensus-exporter.src: W: spelling-error %description -l en_US deamon -> daemon, demon, deacon
golang-contrib-opencensus-exporter.src: E: invalid-spec-name
^ This needs correction.

golang-contrib-opencensus-exporter.src: W: no-%build-section
2 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
golang-contrib-opencensus-exporter-devel (rpmlib, GLIBC filtered):
    golang(github.com/census-instrumentation/opencensus-proto/gen-go/agent/common/v1)
    golang(github.com/census-instrumentation/opencensus-proto/gen-go/agent/trace/v1)
    golang(github.com/census-instrumentation/opencensus-proto/gen-go/trace/v1)
    golang(github.com/golang/protobuf/ptypes/timestamp)
    golang(go.opencensus.io)
    golang(go.opencensus.io/trace)
    golang(go.opencensus.io/trace/tracestate)
    golang(google.golang.org/api/support/bundler)
    golang(google.golang.org/grpc)


Provides
--------
golang-contrib-opencensus-exporter-devel:
    golang(contrib.go.opencensus.io/exporter)
    golang-contrib-opencensus-exporter-devel
    golang-ipath(contrib.go.opencensus.io/exporter)


Source checksums
----------------
https://github.com/census-ecosystem/opencensus-go-exporter-ocagent/archive/v0.3.0.tar.gz#/opencensus-go-exporter-ocagent-0.3.0.tar.gz :
  CHECKSUM(SHA256) this package     : e8628d1611bdcaec6979e43f0aa8189e11a7a6fdea59c46651272a2eb806d4bd
  CHECKSUM(SHA256) upstream package : e8628d1611bdcaec6979e43f0aa8189e11a7a6fdea59c46651272a2eb806d4bd


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1649059
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Robert-André Mauchin 2019-02-08 17:47:27 UTC
Thanks for the review.


> golang-contrib-opencensus-exporter.src: E: invalid-spec-name
^ This needs correction.

I don't have this error in fedora-review on my end and I'm pretty sure the name is correct. It is automatically derived from the goipath. Did you build on Rawhide? Are you using older Go macros?

Comment 4 Ankur Sinha (FranciscoD) 2019-02-11 07:20:19 UTC
Hrm, built on F29 but used fedora review with rawhide configs. Let me update my system and re-run fedora-review.

Comment 5 Robert-André Mauchin 2019-03-03 16:27:39 UTC
Any update?

Comment 6 Robert-André Mauchin 2019-03-17 17:09:13 UTC
File is erroneous in the SRPM, I will reupload.

Comment 8 Robert-André Mauchin 2019-03-17 17:18:12 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=33573144

Comment 9 Robert-André Mauchin 2019-03-17 17:25:05 UTC
Could you retake a look at this, the issue should be solved.

Comment 10 Ankur Sinha (FranciscoD) 2019-03-18 12:13:10 UTC
Looks OK with the new fedora-review. No rpmlint errors related to go-macros now. 

Approved!

Comment 11 Gwyn Ciesla 2019-03-19 13:53:06 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-contrib-opencensus-exporter

Comment 13 Mohan Boddu 2019-03-25 20:33:33 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-contrib-opencensus-exporter-ocagent

Comment 14 Robert-André Mauchin 2019-03-25 20:36:31 UTC
*** Bug 1687159 has been marked as a duplicate of this bug. ***

Comment 15 Fedora Update System 2019-03-25 21:42:55 UTC
golang-contrib-opencensus-exporter-ocagent-0.4.9-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a9357f7c4e

Comment 16 Fedora Update System 2019-03-25 21:54:33 UTC
golang-contrib-opencensus-exporter-ocagent-0.4.9-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cff3e07e01

Comment 17 Fedora Update System 2019-03-27 00:45:10 UTC
golang-contrib-opencensus-exporter-ocagent-0.4.9-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a9357f7c4e

Comment 18 Fedora Update System 2019-03-27 04:34:24 UTC
golang-contrib-opencensus-exporter-ocagent-0.4.9-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cff3e07e01

Comment 19 Fedora Update System 2019-04-02 15:55:58 UTC
golang-contrib-opencensus-exporter-ocagent-0.4.10-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-35b3da2d7d

Comment 20 Fedora Update System 2019-04-02 16:07:03 UTC
golang-contrib-opencensus-exporter-ocagent-0.4.10-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-609c9f1cc9

Comment 21 Fedora Update System 2019-04-03 02:27:32 UTC
golang-contrib-opencensus-exporter-ocagent-0.4.10-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-35b3da2d7d

Comment 22 Fedora Update System 2019-04-03 04:38:04 UTC
golang-contrib-opencensus-exporter-ocagent-0.4.10-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-609c9f1cc9

Comment 23 Fedora Update System 2019-04-06 18:07:06 UTC
golang-contrib-opencensus-exporter-ocagent-0.4.11-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7e97e745c4

Comment 24 Fedora Update System 2019-04-06 18:07:27 UTC
golang-contrib-opencensus-exporter-ocagent-0.4.11-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0b8c314c89

Comment 25 Fedora Update System 2019-04-07 02:44:49 UTC
golang-contrib-opencensus-exporter-ocagent-0.4.11-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0b8c314c89

Comment 26 Fedora Update System 2019-04-07 11:50:43 UTC
golang-contrib-opencensus-exporter-ocagent-0.4.11-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7e97e745c4

Comment 27 Fedora Update System 2019-04-11 22:02:26 UTC
golang-contrib-opencensus-exporter-ocagent-0.4.12-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a99edd9357

Comment 28 Fedora Update System 2019-04-11 22:03:45 UTC
golang-contrib-opencensus-exporter-ocagent-0.4.12-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3af30c4f37

Comment 29 Fedora Update System 2019-04-13 01:59:55 UTC
golang-contrib-opencensus-exporter-ocagent-0.4.12-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a99edd9357

Comment 30 Fedora Update System 2019-04-13 12:10:36 UTC
golang-contrib-opencensus-exporter-ocagent-0.4.12-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3af30c4f37

Comment 31 Fedora Update System 2019-04-25 01:33:19 UTC
golang-contrib-opencensus-exporter-ocagent-0.4.12-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2019-04-27 21:23:48 UTC
golang-contrib-opencensus-exporter-ocagent-0.4.12-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.